Saltar al contenido principal
GET
/
v1
/
governance
/
entities
/
{entityType}
/
{entityId}
/
audit-logs
List audit logs by entity
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/governance/entities/{entityType}/{entityId}/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "items": [
    {
      "action": "CREATE",
      "actorId": "user@example.com",
      "changes": [
        123
      ],
      "createdAt": "2025-01-15T10:30:00.000Z",
      "entityId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
      "entityType": "reconciliation_context",
      "id": "019c96a0-0b61-71a2-8595-dde786b5bcc6",
      "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769"
    }
  ],
  "limit": 20,
  "nextCursor": "eyJpZCI6IjEyMyJ9",
  "prevCursor": "eyJpZCI6IjEyMiJ9"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

entityType
string
requerido

Entity type

entityId
string<uuid>
requerido

Entity ID

Parámetros de consulta

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

Respuesta

Indicates that the request was successful and the response contains the expected data.

Paginated list of audit log entries

hasMore
boolean
Ejemplo:

true

items
object[]

List of audit log entries

limit
integer
Rango requerido: 1 <= x <= 200
Ejemplo:

20

nextCursor
string
Ejemplo:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Ejemplo:

"eyJpZCI6IjEyMiJ9"